## ignition-gui5 5.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-gui5 VERSION 5.3.0)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================


#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Protobuf
set(REQ_PROTOBUF_VER 3)
ign_find_package(IgnProtobuf
                 VERSION ${REQ_PROTOBUF_VER}
                 REQUIRED
                 PRETTY Protobuf)

#--------------------------------------
# Find Tinyxml2
ign_find_package(TINYXML2 REQUIRED PRIVATE PRETTY tinyxml2)

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED VERSION 6.5)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4 REQUIRED VERSION 4.1)
set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-plugin
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS loader register)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

#--------------------------------------
# Find ignition-transport
ign_find_package(ignition-transport10 REQUIRED)
set(IGN_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})

#--------------------------------------
# Find ignition-rendering
ign_find_package(ignition-rendering5 REQUIRED VERSION 5.1 COMPONENTS ogre)
set(IGN_RENDERING_VER ${ignition-rendering5_VERSION_MAJOR})

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs7 REQUIRED)
set(IGN_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})

#--------------------------------------
# Find if ign command is available
find_program(HAVE_IGN_TOOLS ign)

#--------------------------------------
# Find QT
ign_find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
    Widgets
  REQUIRED
  PKGCONFIG "Qt5Core Qt5Quick Qt5QuickControls2 Qt5Widgets"
)

set(IGNITION_GUI_PLUGIN_INSTALL_DIR
  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/plugins
)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  ADDITIONAL_INPUT_DIRS "${CMAKE_SOURCE_DIR}/src/plugins"
  IMAGE_PATH_DIRS "${CMAKE_SOURCE_DIR}/tutorials/images"
  TAGFILES
    "${CMAKE_SOURCE_DIR}/doc/qt.tag.xml=http://doc.qt.io/qt-5/"
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
    "${IGNITION-MSGS_DOXYGEN_TAGFILE} = ${IGNITION-MSGS_API_URL}"
    "${IGNITION-TRANSPORT_DOXYGEN_TAGFILE} = ${IGNITION-TRANSPORT_API_URL}"
    "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
)

file(COPY ${CMAKE_SOURCE_DIR}/tutorials/images/ DESTINATION ${CMAKE_BINARY_DIR}/doxygen/html/images/)

=== src/plugins/CMakeLists.txt ===
#################################################
# ign_gui_add_library (<library_name>
#              SOURCES <sources>
#              [PUBLIC_LINK_LIBS <libraries...>]
#              [PRIVATE_LINK_LIBS <libraries...>])
#
# Add a plugin library to Ignition GUI.
#
# <library_name> Required. Name of the library
#
# [SOURCES]: Specify the source files for the plugin.
#
# [QT_HEADERS]: Qt headers that need to be MOC'ed
#
# [PUBLIC_LINK_LIBS]: Specify a list of libraries to be publicly linked.
#
# [PRIVATE_LINK_LIBS]: Specify a list of libraries to be privately linked.
#
function(ign_gui_add_library library_name)
  set(options)
  set(oneValueArgs)
  set(multiValueArgs SOURCES QT_HEADERS PUBLIC_LINK_LIBS PRIVATE_LINK_LIBS)

  cmake_parse_arguments(ign_gui_add_library "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  QT5_WRAP_CPP(${library_name}_headers_MOC ${ign_gui_add_library_QT_HEADERS})
  QT5_ADD_RESOURCES(${library_name}_RCC ${library_name}.qrc)

  add_library(${library_name} SHARED
    ${ign_gui_add_library_SOURCES}
    ${${library_name}_headers_MOC}
    ${${library_name}_RCC}
  )
  target_link_libraries(${library_name}
    PUBLIC
      ${PROJECT_LIBRARY_TARGET_NAME}
      TINYXML2::TINYXML2
      ${ign_gui_add_library_PUBLIC_LINK_LIBS}
    PRIVATE
      ${ign_gui_add_library_PRIVATE_LINK_LIBS}
  )
endfunction()

#################################################
# ign_gui_add_plugin(<plugin_name>
#              SOURCES <sources>
#              [PUBLIC_LINK_LIBS <libraries...>]
#              [PRIVATE_LINK_LIBS <libraries...>])
#
# Add a plugin to Ignition GUI.
#
# <plugin_name> Required. Name of the plugin.
#
# [SOURCES]: Specify the source files for the system.
#
# [QT_HEADERS]: Qt headers that need to be MOC'ed
#
# [TEST_SOURCES]: Source files for unit tests.
#
# [PUBLIC_LINK_LIBS]: Specify a list of libraries to be publicly linked.
#
# [PRIVATE_LINK_LIBS]: Specify a list of libraries to be privately linked.
#
function(ign_gui_add_plugin plugin_name)
  set(options)
  set(oneValueArgs)
  set(multiValueArgs
    SOURCES
    QT_HEADERS
    TEST_SOURCES
    PUBLIC_LINK_LIBS
    PRIVATE_LINK_LIBS
  )

  cmake_parse_arguments(ign_gui_add_plugin "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  ign_gui_add_library(${plugin_name}
    SOURCES ${ign_gui_add_plugin_SOURCES}
    QT_HEADERS ${ign_gui_add_plugin_QT_HEADERS}
    PUBLIC_LINK_LIBS ${ign_gui_add_plugin_PUBLIC_LINK_LIBS}
    PRIVATE_LINK_LIBS ${ign_gui_add_plugin_PRIVATE_LINK_LIBS} ignition-plugin${IGN_PLUGIN_VER}::register
  )

  if(ign_gui_add_plugin_TEST_SOURCES)
    ign_build_tests(TYPE UNIT
      SOURCES
        ${ign_gui_add_plugin_TEST_SOURCES}
      LIB_DEPS
        ${IGNITION-GUI_LIBRARIES}
        TINYXML2::TINYXML2
        ${plugin_name}
      INCLUDE_DIRS
        # Used to make internal source file headers visible to the unit tests
        ${CMAKE_CURRENT_SOURCE_DIR}
        # Used to make test-directory headers visible to the unit tests
        ${PROJECT_SOURCE_DIR}
        # Used to make test_config.h visible to the unit tests
        ${PROJECT_BINARY_DIR})
  endif()

  if (MSVC)
    # Warning #4251 is the "dll-interface" warning that tells you when types used
    # by a class are not being exported. These generated source files have private
    # members that don't get exported, so they trigger this warning. However, the
    # warning is not important since those members do not need to be interfaced
    # with.
    set_source_files_properties(
        ${ign_gui_add_plugin_SOURCES}
        ${ign_gui_add_plugin_TEST_SOURCES}
        COMPILE_FLAGS "/wd4251")
  endif()

  install (TARGETS ${plugin_name} DESTINATION ${IGNITION_GUI_PLUGIN_INSTALL_DIR})
endfunction()

# Plugins
add_subdirectory(grid_3d)
add_subdirectory(image_display)
add_subdirectory(key_publisher)
add_subdirectory(plotting)
add_subdirectory(publisher)
add_subdirectory(scene3d)
add_subdirectory(screenshot)
add_subdirectory(teleop)
add_subdirectory(topic_echo)
add_subdirectory(topic_viewer)
add_subdirectory(world_control)
add_subdirectory(world_stats)

=== examples/plugin/custom_context_menu/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui5 REQUIRED)
find_package(ignition-common4 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

QT5_ADD_RESOURCES(resources_RCC CustomContext.qrc)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate examples
add_library(CustomContext SHARED ${headers_MOC}
  CustomContext.cc
  ${resources_RCC}
)
target_link_libraries(CustomContext
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/plugin/dialog_from_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui5 REQUIRED)
find_package(ignition-common4 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

QT5_ADD_RESOURCES(resources_RCC DialogFromPlugin.qrc)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate examples
add_library(DialogFromPlugin SHARED ${headers_MOC}
  DialogFromPlugin.cc
  ${resources_RCC}
)
target_link_libraries(DialogFromPlugin
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/plugin/hello_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui5 REQUIRED)
find_package(ignition-common4 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

QT5_ADD_RESOURCES(resources_RCC hello.qrc)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate examples
add_library(HelloPlugin SHARED ${headers_MOC}
  HelloPlugin.cc
  ${resources_RCC}
)
target_link_libraries(HelloPlugin
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/plugin/ign_components/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

find_package(ignition-gui5 REQUIRED)
find_package(ignition-common4 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

QT5_ADD_RESOURCES(resources_RCC IgnComponents.qrc)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate examples
add_library(IgnComponents SHARED ${headers_MOC}
  IgnComponents.cc
  ${resources_RCC}
)
target_link_libraries(IgnComponents
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/plugin/multiple_qml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui5 REQUIRED)
find_package(ignition-common4 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

QT5_ADD_RESOURCES(resources_RCC MultipleQml.qrc)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate examples
add_library(MultipleQml SHARED ${headers_MOC}
  MultipleQml.cc
  ${resources_RCC}
)
target_link_libraries(MultipleQml
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/standalone/custom_drawer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui5 REQUIRED)

QT5_ADD_RESOURCES(resources_RCC custom_drawer.qrc)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

include_directories(SYSTEM
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate example
add_executable(custom_drawer
  custom_drawer.cc
  ${resources_RCC}
)
target_link_libraries(custom_drawer
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/standalone/dialogs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui5 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

include_directories(SYSTEM
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate example
add_executable(dialogs
  dialogs.cc
)
target_link_libraries(dialogs
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/standalone/window/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui5 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

include_directories(SYSTEM
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate example
add_executable(window
  window.cc
)
target_link_libraries(window
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== debian/changelog ===
ignition-gui5 (5.3.0-1~buster) buster; urgency=medium

  * ignition-gui5 5.3.0-1 release

 -- Jenn Nguyen <jenn@openrobotics.org>  Wed, 13 Oct 2021 18:42:19 -0700

ignition-gui5 (5.2.0-1~buster) buster; urgency=medium

  * ignition-gui5 5.2.0-1 release

 -- Ashton Larkin <ashton@openrobotics.org>  Wed, 28 Jul 2021 10:58:58 -0600

ignition-gui5 (5.1.0-1~buster) buster; urgency=medium

  * ignition-gui5 5.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 23 Jun 2021 12:23:42 -0700

ignition-gui5 (5.0.0-1~buster) buster; urgency=medium

  * ignition-gui5 5.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 16:17:40 -0700

ignition-gui5 (5.0.0~pre2-1~buster) buster; urgency=medium

  * ignition-gui5 5.0.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 12:57:00 -0700

ignition-gui5 (5.0.0~pre1-2~buster) buster; urgency=medium

  * ignition-gui5 5.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 25 Mar 2021 18:43:02 -0700

ignition-gui5 (5.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-gui5 5.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 25 Mar 2021 15:09:39 -0700

ignition-gui5 (4.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Wed, 07 Oct 2020 17:31:34 -0700

=== debian/control ===
Source: ignition-gui5
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               doxygen,
               libtinyxml2-dev,
               libprotoc-dev,
               libprotobuf-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qml-module-qt-labs-folderlistmodel,
               qml-module-qt-labs-platform,
               qml-module-qt-labs-settings,
               qml-module-qtcharts,
               qml-module-qtgraphicaleffects,
               qml-module-qtqml-models2,
               qml-module-qtquick-controls,
               qml-module-qtquick-controls2,
               qml-module-qtquick-dialogs,
               qml-module-qtquick-layouts,
               qml-module-qtquick-templates2,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               libignition-cmake2-dev (>= 2.8.0),
               libignition-math6-dev (>= 6.5.0),
               libignition-common4-events-dev (>= 4.1.0),
               libignition-plugin-dev,
               libignition-rendering5-ogre1-dev (>= 5.1.0),
               libignition-tools-dev,
               libignition-transport10-dev,
               libignition-msgs7-dev
Vcs-Browser: https://github.com/ignition-release/ign-gui5-release
Vcs-Git: https://github.com/ignition-release/ign-gui5-release
Homepage: http://ignitionrobotics.org/

Package: libignition-gui5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Gui classes and functions for robot apps - Shared library
  Ignition Gui is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-gui5-dev
Architecture: any
Section: libdevel
Depends: libtinyxml2-dev,
         libprotoc-dev,
         libprotobuf-dev,
         qtbase5-dev,
         qtdeclarative5-dev,
         qtquickcontrols2-5-dev,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtcharts,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         libignition-cmake2-dev (>= 2.8.0),
         libignition-math6-dev (>= 6.5.0),
         libignition-common4-events-dev (>= 4.1.0),
         libignition-transport10-dev,
         libignition-plugin-dev,
         libignition-rendering5-ogre1-dev (>= 5.1.0),
         libignition-tools-dev,
         libignition-msgs7-dev,
         libignition-gui5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Gui classes and functions for robot apps - Development files
  Ignition Gui is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

## ignition-gui5 5.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-gui5 VERSION 5.3.0)
+project(ignition-gui5 VERSION 5.5.0)
 
 #============================================================================
 # Find ignition-cmake
@@ -59,7 +59,7 @@
 
 #--------------------------------------
 # Find ignition-rendering
-ign_find_package(ignition-rendering5 REQUIRED VERSION 5.1 COMPONENTS ogre)
+ign_find_package(ignition-rendering5 REQUIRED VERSION 5.1)
 set(IGN_RENDERING_VER ${ignition-rendering5_VERSION_MAJOR})
 
 #--------------------------------------

=== src/CMakeLists.txt ===
include_directories(${PROJECT_BINARY_DIR})

set (sources
  ${CMAKE_CURRENT_SOURCE_DIR}/Application.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/Conversions.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/Dialog.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/DragDropModel.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/Helpers.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/ign.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/PlottingInterface.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/Plugin.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/SearchModel.cc
  PARENT_SCOPE
)

set (gtest_sources
  Application_TEST
  Conversions_TEST
  DragDropModel_TEST
  Helpers_TEST
  GuiEvents_TEST
  ign_TEST
  MainWindow_TEST
  PlottingInterface_TEST
  Plugin_TEST
  SearchModel_TEST
)

if (MSVC)
  # Warning #4251 is the "dll-interface" warning that tells you when types used
  # by a class are not being exported. These generated source files have private
  # members that don't get exported, so they trigger this warning. However, the
  # warning is not important since those members do not need to be interfaced
  # with.
  set_source_files_properties(${sources} ${gtest_sources} COMPILE_FLAGS "/wd4251 /wd4146")
endif()

# this test currently fails on brew (issue #27)
# so disable it for now
if (NOT HAVE_IGN_TOOLS OR APPLE)
  list(REMOVE_ITEM gtest_sources ign_TEST.cc)
endif()

ign_build_tests(TYPE UNIT
                SOURCES
                  ${gtest_sources}
                LIB_DEPS
                  ${IGNITION-MATH_LIBRARIES}
                  TINYXML2::TINYXML2
)

add_subdirectory(cmd)
add_subdirectory(plugins)

=== src/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -121,6 +121,7 @@
 add_subdirectory(publisher)
 add_subdirectory(scene3d)
 add_subdirectory(screenshot)
+add_subdirectory(shutdown_button)
 add_subdirectory(teleop)
 add_subdirectory(topic_echo)
 add_subdirectory(topic_viewer)

=== examples/plugin/custom_context_menu/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
+
+project(ignition-gui-custom-context-menu)
 
 if(POLICY CMP0100)
   cmake_policy(SET CMP0100 NEW)

=== examples/plugin/dialog_from_plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
+
+project(ignition-gui-dialog-from-plugin)
 
 if(POLICY CMP0100)
   cmake_policy(SET CMP0100 NEW)

=== examples/plugin/hello_plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
+
+project(ignition-gui-hello-plugin)
 
 if(POLICY CMP0100)
   cmake_policy(SET CMP0100 NEW)

=== examples/plugin/ign_components/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
+
+project(ignition-gui-ign-components)
 
 if(POLICY CMP0100)
   cmake_policy(SET CMP0100 NEW)

=== examples/plugin/multiple_qml/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
+
+project(ignition-gui-multiple-qml)
 
 if(POLICY CMP0100)
   cmake_policy(SET CMP0100 NEW)

=== examples/standalone/custom_drawer/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
+
+project(ignition-gui-custom-drawer)
 
 if(POLICY CMP0100)
   cmake_policy(SET CMP0100 NEW)

=== examples/standalone/dialogs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
+
+project(ignition-gui-dialogs)
 
 if(POLICY CMP0100)
   cmake_policy(SET CMP0100 NEW)

=== examples/standalone/window/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
+
+project(ignition-gui-window)
 
 if(POLICY CMP0100)
   cmake_policy(SET CMP0100 NEW)

=== src/plugins/grid_3d/CMakeLists.txt ===
ign_gui_add_plugin(Grid3D
  SOURCES
    Grid3D.cc
  QT_HEADERS
    Grid3D.hh
  TEST_SOURCES
    # Grid3D_TEST.cc
  PUBLIC_LINK_LIBS
    ignition-rendering${IGN_RENDERING_VER}::ignition-rendering${IGN_RENDERING_VER}
)

=== debian/changelog ===
ignition-gui5 (5.5.0-1~focal) focal; urgency=medium

  * ignition-gui5 5.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 28 Mar 2022 17:09:07 -0700

ignition-gui5 (5.4.0-1~focal) focal; urgency=medium

  * ignition-gui5 5.4.0-1 release

 -- Jenn Nguyen <jenn@openrobotics.org>  Mon, 31 Jan 2022 18:10:55 -0800

ignition-gui5 (5.3.0-1~focal) focal; urgency=medium

  * ignition-gui5 5.3.0-1 release

 -- Jenn Nguyen <jenn@openrobotics.org>  Wed, 13 Oct 2021 18:42:19 -0700

ignition-gui5 (5.2.0-1~focal) focal; urgency=medium

  * ignition-gui5 5.2.0-1 release

 -- Ashton Larkin <ashton@openrobotics.org>  Wed, 28 Jul 2021 10:58:57 -0600

ignition-gui5 (5.1.0-1~focal) focal; urgency=medium

  * ignition-gui5 5.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 23 Jun 2021 12:23:42 -0700

ignition-gui5 (5.0.0-1~focal) focal; urgency=medium

  * ignition-gui5 5.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 16:17:40 -0700

ignition-gui5 (5.0.0~pre2-1~focal) focal; urgency=medium

  * ignition-gui5 5.0.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 12:57:00 -0700

ignition-gui5 (5.0.0~pre1-2~focal) focal; urgency=medium

  * ignition-gui5 5.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 25 Mar 2021 18:43:02 -0700

ignition-gui5 (5.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-gui5 5.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 25 Mar 2021 15:09:39 -0700

ignition-gui5 (4.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Wed, 07 Oct 2020 17:31:34 -0700
